diff a/test/jdk/java/lang/invoke/lookup/SpecialStatic.java b/test/jdk/java/lang/invoke/lookup/SpecialStatic.java
--- a/test/jdk/java/lang/invoke/lookup/SpecialStatic.java
+++ b/test/jdk/java/lang/invoke/lookup/SpecialStatic.java
@@ -118,11 +118,11 @@
     }
 
     public static byte[] dumpT1() {
         return ClassFile.of().build(CD_T1, clb -> {
             clb.withSuperclass(CD_Object);
-            clb.withFlags(AccessFlag.PUBLIC, AccessFlag.SUPER);
+            clb.withFlags(AccessFlag.PUBLIC, AccessFlag.IDENTITY);
             clb.withMethodBody(INIT_NAME, MTD_void, ACC_PUBLIC, cob -> {
                 cob.aload(0);
                 cob.invokespecial(CD_Object, INIT_NAME, MTD_void);
                 cob.return_();
             });
@@ -134,11 +134,11 @@
     }
 
     public static byte[] dumpT2() {
         return ClassFile.of().build(CD_T2, clb -> {
             clb.withSuperclass(CD_T1);
-            clb.withFlags(AccessFlag.PUBLIC, AccessFlag.SUPER);
+            clb.withFlags(AccessFlag.PUBLIC, AccessFlag.IDENTITY);
             clb.withMethodBody(INIT_NAME, MTD_void, ACC_PUBLIC, cob -> {
                 cob.aload(0);
                 cob.invokespecial(CD_T1, INIT_NAME, MTD_void);
                 cob.return_();
             });
@@ -150,11 +150,11 @@
     }
 
     public static byte[] dumpT3() {
         return ClassFile.of().build(CD_T3, clb -> {
             clb.withSuperclass(CD_T2);
-            clb.withFlags(AccessFlag.PUBLIC, AccessFlag.SUPER);
+            clb.withFlags(AccessFlag.PUBLIC, AccessFlag.IDENTITY);
             clb.withMethodBody(INIT_NAME, MTD_void, ACC_PUBLIC, cob -> {
                 cob.aload(0);
                 cob.invokespecial(CD_T2, INIT_NAME, MTD_void);
                 cob.return_();
             });
